from setuptools import setup, find_packages

name = "erp5.timmy"
version = '0.5'

def read(name):
    return open(name).read()

long_description=(
        read('README.txt')
        + '\n' +
        read('CHANGES.txt')
    )

setup(
    name = name,
    version = version,
    author = "Lukasz Nowak",
    author_email = "luke@nexedi.com",
    description = "timmy - TioLive Instance Management System oriented on "\
        "pull method from remote servers",
    long_description=long_description,
    license = "GPL",
    keywords = "instance management",
    classifiers=[
      ],
    packages = find_packages('src'),
    include_package_data = True,
    package_dir = {'':'src'},
    namespace_packages = ['erp5', 'erp5.timmy'],
    install_requires = [], # XXX-Luke: For now do not depend on MySQL-python
                           # timmy is used in environement which delivers
                           # MySQL-python, but declaring dependcy will install
                           # local egg...egg and a chicken problem
    zip_safe=False,
    entry_points = """
    [console_scripts]
    timmy = erp5.timmy.timmy:run
    timmy-keygen = erp5.timmy.timmy:keygen
    """,
    )
